Subject: bug#20711: closed (Re: bug#20711: 25.0.50; Emacs 24.5 regression: C++ font lock displays incorrectly when pasting)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Jun 2015 17:44:03 +0000

Your bug report

#20711: 25.0.50; Emacs 24.5 regression: C++ font lock displays incorrectly when pasting

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20711: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20711
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20711: 25.0.50; Emacs 24.5 regression: C++ font lock displays incorrectly when pasting
From: Barry OReilly <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: [email-masked]
Date: Tue, 2 Jun 2015 10:43:52 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry, I made a mistake with my versions. I always witness it at:

  commit c03c195a274ab4092cc5f2a881a87cb2643d9b3b
  Date:   Tue May 12 19:35:54 2015 +0300

I do not witness it in Emacs 24.5 nor today's emacs-24 nor today's master.
So it must have been fixed in the past few weeks. Closing the bug.

Thanks for having taken a look and sending such a timely response.

On Tue, Jun 2, 2015 at 6:41 AM, Alan Mackenzie <[email-masked]> wrote:

> Hello, Barry.
>
> In article <[email-masked]> you wrote:
> > [-- text/plain, encoding 7bit, charset: UTF-8, 88 lines --]
>
> > Create ~/tmp/foo.cc with file contents:
>
> >  //
>
> Did you create it using Emacs?  If so, C++ Mode will automatically have
> added a linefeed at the end of the bare line.
>
> > Start Emacs 24.5 by:
>
> >  emacs -Q ~/tmp/foo.cc
>
> > Type 42 in some other X11 window (eg Chrome), and select it. In the Emacs
> > window, paste it with the middle mouse button (mouse-yank-primary). The
> > number 4 is not fontified.
>
> That's a pretty crisp recipe, thanks.  I can't reproduce it, though.  I'm
> in XFCE in X-Windows, and the program I used to get "42" into the
> mouse-yank-primary buffer was vim running on xfce4-terminal.
>
> I'm assuming that the "//" is at the beginning of the line, that there is
> no trailing space after it, but there is a linefeed at the end of the
> line.  I yanked in the "42" just after the second "/".
>
> Could there be anything unusual about the "42" you got from Chrome?
>
> What's your desktop environment?
>
> Is there anything else you can think of in your setup that might be
> influencing the bug?  Does the bug happen every time you try it,
> sometimes, or did it only happen once?
>
> > Try the same with Emacs 24.4 and all fontification is correct.
>
> As a matter of interest, would you reproduce your Emacs configuration
> line, please (M-: system-configuration-options).
>
> > In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
> > of 2015-05-12 on REDACTED
>
> This is Emacs 25.0.50.  What is the connection, if any, between the debug
> info you included below, and the test you ran on 24.5?
>
> > Windowing system distributor `The X.Org Foundation', version
> 11.0.11501000
> > System Description: Ubuntu 14.04 LTS (upgraded from: Ubuntu 12.04.4 LTS)
>
> > Configured features:
> > XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY FREETYPE XFT ZLIB
>
> > Important settings:
> >  value of $LANG: en_US.UTF-8
> >  value of $XMODIFIERS: @im=ibus
> >  locale-coding-system: utf-8-unix
>
> > Major mode: C++/l
>
> [ .... ]
>
> --
> Alan Mackenzie (Nuremberg, Germany).
>
>

Subject: 25.0.50; Emacs 24.5 regression: C++ font lock displays incorrectly when pasting
From: Barry OReilly <[email-masked]>
To: emacs bugs <[email-masked]>
Date: Mon, 1 Jun 2015 10:59:50 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Create ~/tmp/foo.cc with file contents:

  //

Start Emacs 24.5 by:

  emacs -Q ~/tmp/foo.cc

Type 42 in some other X11 window (eg Chrome), and select it. In the Emacs
window, paste it with the middle mouse button (mouse-yank-primary). The
number 4 is not fontified.

Try the same with Emacs 24.4 and all fontification is correct.

In GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.23)
 of 2015-05-12 on REDACTED
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04 LTS (upgraded from: Ubuntu 12.04.4 LTS)

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY FREETYPE XFT ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: C++/l

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  abbrev-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
foo.cc has auto save data; consider M-x recover-this-file

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils cc-mode cc-fonts easymenu
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
mule-util time-date tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer cl-preloaded nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote gfilenotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 95173 6053)
 (symbols 48 20219 1)
 (miscs 40 298 85)
 (strings 32 17455 4710)
 (string-bytes 1 598651)
 (vectors 16 12120)
 (vector-slots 8 419820 4972)
 (floats 8 84 47)
 (intervals 56 186 0)
 (buffers 976 12)
 (heap 1024 27404 1005))